cp_plugin_import_t Struct Reference
Data structures

Information about plug-in import. More...

`#include <cpluff.h>`

## Data Fields

char * | plugin_id
| The identifier of the imported plug-in.
char * | version
| An optional version requirement.
int | optional
| Is this import optional.

## Detailed Description

Information about plug-in import.

Plug-in import structures are contained in imports.

## Field Documentation

## plugin_id

char* plugin_id

The identifier of the imported plug-in.

This corresponds to the plugin attribute of the import element in a plug-in descriptor.

## version

char* version

An optional version requirement.

NULL if no version requirement. This is the version of the imported plug-in the importing plug-in was compiled against. Any version of the imported plug-in that is backwards compatible with this version fulfills the requirement. This corresponds to the if-version attribute of the import element in a plug-in descriptor.

## optional

int optional

Is this import optional.

1 for optional and 0 for mandatory import. An optional import causes the imported plug-in to be started if it is available but does not stop the importing plug-in from starting if the imported plug-in is not available. If the imported plug-in is available but the API version conflicts with the API version requirement then the importing plug-in fails to start. This corresponds to the optional attribute of the import element in a plug-in descriptor.

The documentation for this struct was generated from the following file:

- cpluff.h

Generated on for C-Pluff C API by 1.15.0